Summary: Utilities for the XFce Desktop Environment
Summary (ru_RU.UTF8): Различные утилиты для окружения рабочего стола Xfce
Name: xfce-utils
Version: 4.6.1
Release: alt4
License: GPL
Url: http://www.xfce.org/
Source: ftp://ftp.berlios.de/pub/xfce-goodies/%version/%name-%version.tar.bz2
Source1: xfce.wmsession
Patch1: xfce-utils-altlinux-gdm.patch
Patch2: xfce-utils-session-icon.patch
Patch3: xfce-utils-xrdb.patch
Patch4: alt-xfce-utils-xinitrc.patch

Group: Graphical desktop/XFce
Packager: Denis Koryavov <dkoryavov@altlinux.org>

BuildPreReq: rpm-build-xfce4 libxfcegui4-devel > 4.5 xfce4-dev-tools > 4.5
BuildRequires: gcc-c++ imake intltool libSM-devel libdbus-glib-devel xorg-cf-files

Requires: screen-saver-engine

%set_automake_version 1.10
%set_autoconf_version 2.60
%add_findreq_skiplist */xflock4
%add_findreq_skiplist */xinitrc
%add_findreq_skiplist */xinitrc.in
%add_findreq_skiplist */xinitrc.in.in

%description
xfce-utils contains utilities for the XFce Desktop Environment. Xfce is a desktop environment that uses the GTK2 library and isn't resource-hungry.
This package contains xfrun4, xfterm4, xflock4, xfmountdev4, xfbrowser4, startxfce4, xfhelp4, xfce4-about, eight tools for Xfce. 
If you want to use xfmountdev4, be sure to install Thunar before, because it's called by it. 

%description -l ru_RU.UTF8
Данный пакет содержит в себе утилиты для окружения рабочего стола Xfce.
Среди них:
startxfce4 - утилита для запуска рабочего окружения Xfce. Данная утилита необходима 
для отображения сессии "Xfce4" в менеджерах дисплея GDM и KDM.
xfbrowser4 - утилита для запуска интернет проводника (ИП). При наличии в системе 
нескольких ИП, позволяет выбрать умалчиваемый.
xfce4-about - отображает диалоговое окно "о Xfce".
xfhelp4 - утилита для отображения справочной системы Xfce. Для своей работы использует 
присутствующий в системе интернет проводник. 
xflock4 - утилита для работы с хранителями экрана. Работает с gnome-screensaver, 
xscreensaver, xclockmore.
xfmountdev4 - утилита для монтирования съемных устройств. Для своей работы использует 
файловый менеджер Thunar.
xfrun4  - утилита для быстрого запуска приложений.
xfterm4 - утилита для запуска эмулятора терминала. При наличии в системе нескольких 
эмуляторов терминала, позволяет выбрать умалчиваемый.

%prep
%setup
#%patch1 -p1
#%patch2 -p1
%patch3 -p1
%patch4 -p1

%build
%xfce4reconf
%configure  \
	--enable-dbus \
	--enable-debug=no \
	--with-browser=seamonkey \
	--with-terminal=Terminal
#	--with-vendor-info=ALTLinux \
%make

%install
%makeinstall_std
rm %buildroot%_datadir/xsessions/*.desktop
install -D %SOURCE1 %buildroot%_x11sysconfdir/wmsession.d/10Xfce4

%find_lang %name

%files -f %name.lang
%doc README TODO ChangeLog NEWS INSTALL COPYING AUTHORS
%_bindir/*
%_datadir/xfce4/*
#%config(noreplace) %_x11sysconfdir/sessions/xfce.desktop
#%config(noreplace) %_x11sysconfdir/gdm/Sessions/XFce4
#%config(noreplace) %_x11sysconfdir/wmsession.d/10XFce4
%config(noreplace) %_sysconfdir/xdg/xfce4/xinitrc
%config(noreplace) %_sysconfdir/xdg/autostart/*.desktop
%_libexecdir/xfce4/*
%_sysconfdir/xdg/xfce4/Xft.xrdb
%_datadir/dbus-1/services/org.xfce.RunDialog.service
%_liconsdir/*
%_x11sysconfdir/wmsession.d/*

%changelog
* Sun Jun 14 2009 Denis Koryavov <dkoryavov@altlinux.org> 4.6.1-alt4
- Fix for bug #20346 (removed dependencies for concrete screensavers). Added dependency for 'screen-saver-engine'.
- Updated description for package.

* Sat Jun 06 2009 Denis Koryavov <dkoryavov@altlinux.org> 4.6.1-alt3
Fix for bug 20346

* Mon May 25 2009 Denis Koryavov <dkoryavov@altlinux.org> 4.6.1-alt2
- Fix build with new toolchain. Added autoconf and automake version requiremens. 

* Mon Apr 20 2009 Denis Koryavov <dkoryavov@altlinux.org> 4.6.1-alt1
Xfce 4.6.1

* Sat Apr 18 2009 Denis Koryavov <dkoryavov@altlinux.org> 4.6.0-alt1
Xfce 4.6 Final

* Tue Jan 27 2009 Eugene Ostapets <eostapets@altlinux.ru> 4.5.99.1-alt2
- Xfce 4.6rc1

* Thu Jan 22 2009 Eugene Ostapets <eostapets@altlinux.ru> 4.5.93-alt2
- Xfce 4.6 beta 3

* Fri Oct 24 2008 Eugene Ostapets <eostapets@altlinux.org> 4.5.91-alt2
- Xfce 4.6 beta1

* Wed May 21 2008 Eugene Ostapets <eostapets@altlinux.ru> 4.4.2-alt2
- Disable vendor information (bug:#15724)
- fix post scripts(tnx repocop)

* Mon Nov 19 2007 Eugene Ostapets <eostapets@altlinux.org> 4.4.2-alt1
- Xfce 4.4.2 release

* Tue Oct 23 2007 Eugene Ostapets <eostapets@altlinux.ru> 4.4.1-alt2
- fix 10917

* Sat Apr 14 2007 Eugene Ostapets <eostapets@altlinux.ru> 4.4.1-alt1
- Xfce 4.4.1 release
- fix 10917

* Mon Jan 22 2007 Eugene Ostapets <eostapets@altlinux.ru> 4.4.0-alt0.1
- Xfce 4.4 release

* Fri Dec 29 2006 ALT QA Team Robot <qa-robot@altlinux.org> 4.3.99.2-alt2.1
- Rebuilt due to libdbus-1.so.2 -> libdbus-1.so.3 soname change.

* Fri Nov 10 2006 Eugene Ostapets <eostapets@altlinux.ru> 4.3.99.2-alt2
- add icon for wm-select (bug 10240)
- strict library version build requires

* Sun Nov 05 2006 Eugene Ostapets <eostapets@altlinux.ru> 4.3.99.2-alt1
- Xfce 4.4rc2

* Mon Oct 30 2006 Eugene Ostapets <eostapets@altlinux.ru>  4.3.99.1-alt2
- Fix buildreq and cleanup spec

* Sat Sep 30 2006 Eugene Ostapets <eostapets@altlinux.ru> 4.3.99.1-alt1
- first build

